---
title: GitLab Heroes
description: "GitLab Heroes: Building GitLab together."
canonical_path: "/community/heroes/"
twitter_image: "/images/opengraph/Heroes/Heroes-get-recognized.png"
twitter_image_alt: "GitLab Heroes graphical logo asking you to become a GitLab Hero"
twitter_site: "gitlab"
twitter_creator: "gitlab"
layout: default
suppress_header: true
extra_css:
  - event.css
  - faq.css
  - event-commit.css
  - simplify-devops.css
  - community.css
  - bl-modal.css
  - video-carousel.css
  - heroes-contributions.css
extra_js:
  - libs/on-scroll.js
  - in-page-nav.js
  - all-clickable.js
  - simplify-devops.js
  - libs/slick.min.js
  - video-carousel.js
---

.blank-header.commit-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content
    = image_tag "/images/heroes/gitlab-heroes-icon.svg", class: "hero-commit-image-large", alt: "Gitlab Heroes icon"
    %h3 GitLab Heroes
    %p GitLab Heroes engages, supports, connects, and recognizes members of the wider GitLab community who make outstanding contributions to GitLab and our community around the globe.
    .row.text-center
      .btn-group.u-padding-right-sm
      = link_to "Become a GitLab Hero", "mailto:incoming+gitlab-com-marketing-community-relations-evangelist-program-git-18503012-issue-@incoming.gitlab.com?subject=GitLab%20Heroes%20Application&body=Please send us a message to start the GitLab Heroes application process.", class: "btn cta-btn orange margin-top20"
      = link_to "Meet the GitLab Heroes", "/community/heroes/members", class: "btn cta-btn orange margin-top20"

.gitlab-content-container.commit-content-container
  .content.commit-content

    .js-in-page-nav-group{ role: "main" }
      .row.u-margin-top-md
        .col-md-5.col-md-offset-1.text-left
          %h3.u-text-brand Be a Hero
          %p
            At GitLab, we believe
            = link_to "everyone can contribute.", "/company/strategy/#mission"
            In that spirit, we believe everyone in our community can become a GitLab Hero.
          %p  
            If you are new to GitLab and looking to get started contributing to our community, we have many ways to 
            = link_to "contribute.", "/community"
            You can
            = link_to "improve documentation,", "/community/contribute/documentation/"
            = link_to "contribute code,", "/community/contribute/"
            = link_to "organize a GitLab meetup,", "/community/meetups"
            = link_to "give a tech talk,", "/speakers/"
            = link_to "or write a blog post.", "/blog/" 
          %p 
            If you are active in our community and 
            = link_to "organizing meetups,", "/community/meetups"
            recording demos for YouTube, giving talks at conferences and events, writing technical blog posts, or
            = link_to "contributing to our open source project,", "/community/contribute"
            we want to engage, support, and recognize you for your contribution as a GitLab Hero. 

        .col-md-5.text-center
          = image_tag "/images/events/gitlab-commit/call-for-proposal.jpg", class: "title-icon"

      .row.u-margin-top-md.js-in-page-nav-section#rewards
        .col-md-5.col-md-offset-1.text-center
          = image_tag "/images/heroes/contribute.jpg", class: "title-icon"
        .col-md-5.text-left
          %h2.u-text-brand{ style: "display: none" } Rewards
          %h3.u-text-brand Hero Rewards
          %ul
            %li
              Invitations to special events including
              = link_to "GitLab Commit", "/events/commit/"
            %li
              Support for travel to speak about GitLab at events
            %li
              GitLab Ultimate licenses
            %li
              Special Heroes swag so people know how awesome you are
            %li
              Access to GitLab's product, engineering, and developer evangelism teams to help with reviews of talks and blog posts

      .row.u-margin-top-md.js-in-page-nav-section#requirements
        .col-md-5.col-md-offset-1.text-left
          %h2.u-text-brand{ style: "display: none" } Attributes
          %h3.u-text-brand Attributes of a Hero
          %ul
            %li
              Possess a passion for GitLab, DevSecOps, and Open Source software.
            %li
              Aspire to our
              = link_to "mission,", "/company/strategy/#mission"
              uphold our
              = link_to "values,", "/handbook/values/"
              and adhere to our
              = link_to "Code of Conduct.", "/community/contribute/code-of-conduct/"
            %li
              Sustained level of contribution to GitLab as a
              %a{href: "/community/contribute"}code contributor,
              %a{href: "/community/meetups"}community organizer,
              or thought leader.
        .col-md-5.text-center
          = image_tag "/images/heroes/educate.jpg", class: "title-icon"

      .row.u-margin-top-md.js-in-page-nav-section#heros-journey
        %h2.u-text-brand.text-center Hero's Journey
        .col-md-10.col-md-offset-1.text-center
          %p GitLab Heroes range from Contributor to Hero to Superhero. The table below lists example contributions and rewards for each level.
        .col-md-10.col-md-offset-1.text-center
          %table{:border => 1}
            %tbody
              %tr
                %th
                %th.text-center Contributor
                %th.text-center Hero
                %th.text-center Superhero
              %tr
                %th.text-center Contributions (pick 1 or more)
                %td
                  %p Contribute 5 merged MRs (or one awesome MR!) to improve GitLab - includes the application, website, or docs
                  %p Contribute 5 merged MRs to a project that is part of the GitLab for Open Source program
                  %p Organize a GitLab meetup group
                  %p Give multiple tech talks about GitLab
                  %p Publish 3 blog posts about GitLab
                  %p Actively contribute to the GitLab forum and GitLab issues
                %td
                  %p Contribute 10 merged MRs to improve GitLab
                  %p Be a maintainer of a project that is part of the GitLab for Open Source program
                  %p Organize 8 GitLab meetup events per year
                  %p Present about GitLab at a regional conference
                  %p Post 5 YouTube videos about GitLab
                  %p Most hearts received in a quarter on the forum
                %td
                  %p Serve on GitLab's Core Team
                  %p Organize 12 GitLab meetup events per year
                  %p Give a keynote about GitLab at a global conference
                  %p Publish an article or video about GitLab with 10,000 views
                  %p Most hearts received in a year on the forum
              %tr
                %th.text-center Rewards
                %td
                  %p Unique Heroes swag
                  %p Support from GitLab's Community Relations teams
                  %p Shoutouts on the GitLab Company Call & social media
                %td
                  %p Rewards of Contributor, plus:
                  %p Free GitLab Ultimate license for personal use
                  %p Invites to conferences and GitLab events
                  %p Support when traveling to events to talk about GitLab
                %td
                  %p Rewards of Hero, plus:
                  %p Access to GitLab team members for help with content
                  %p Coaching to build technology thought leadership

      .row.u-margin-top-md.js-in-page-nav-section#apply
        .col-md-10.col-md-offset-1.text-center
          %h2.u-text-brand{ style: "display: none" } Apply
          %h2.u-text-brand Become a Hero
          %h4 Apply or nominate someone to be our next GitLab Hero!
          = link_to "Apply to be a GitLab Hero", "mailto:incoming+gitlab-com-marketing-community-relations-evangelist-program-git-18503012-issue-@incoming.gitlab.com?subject=GitLab%20Heroes%20Application&body=Please send us a message to start the GitLab Heroes application process.", class: "btn cta-btn orange margin-top20"

      .row.u-margin-top-md.js-in-page-nav-section#contributions
        .col-md-10.col-md-offset-1.text-center
          %h2.u-text-brand Recent Contributions
          .content-section
            - data.heroes_contributions.recent_contributions[0..3].sort_by(&:date).reverse.each do |contribution, index|
              .press-block
                .attributes
                  = image_tag "#{contribution.logo}", class: "contribution-logo-small", alt: "Gitlab Heroes contribution type"
                  %p.contribution-type
                  = contribution.date
                %p.contribution-type
                  = contribution.type
                %a.contribution-link{ href: "#{contribution.link}", target: "_blank" }
                  = contribution.title
                %p
                  = image_tag "/images/heroes/gitlab-heroes-icon.svg", class: "contribution-logo-small", alt: "Gitlab Heroes logo"
                  = contribution.contributor
          = link_to "See more recent contributions", "/community/heroes/contributions", class: "btn cta-btn orange margin-top20"

      .row.u-margin-top-md
        .col-md-10.col-md-offset-1
          %h2.u-text-brand.text-center
            Everyone can contribute
          .video-slider
            - data.video_carousel.each do |video|
              -if video.carousel_identifier.include?("Community Carousel 1")
                = partial "includes/components/video-carousel/video-item.html.haml", locals: {name: video.name, title: video.title, company: video.company, photourl: video.photourl, videolink: video.video_link}

        - data.video_carousel.each do |video|
          -if video.carousel_identifier.include?("Community Carousel 1")
            = partial "includes/components/video-carousel/video-carousel-modal.html.haml", locals: {videolink: video.video_link, title: video.title, photourl: video.photourl}

      .row.u-margin-top-md
        .col-md-10.col-md-offset-1.text-center
          %h2.u-text-brand Questions
          .row.u-margin-top-md.u-margin-bottom-lg
            .col-md-12
              %h5
                Please email us at
                =link_to "evangelists@gitlab.com", "mailto:evangelists@gitlab.com"
                or join the 
                =link_to  "GitLab Heroes channel", "https://gitter.im/gitlab/heroes"
                on Gitter if you have questions about the GitLab Heroes program.
      

      .row.u-margin-top-md
        .col-md-10.col-md-offset-1.text-center
          %iframe{:allow => "accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture", :allowfullscreen => "", :frameborder => "0", :src => "https://www.youtube.com/embed/0DRgG9nT8eI",}
